<?php
class ClienteCheque
{
	private $sql;
	public $qry;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function ClienteChequeSelect($id_evento)
	{
		$this->sql = "select a.id_cliente_cheque, a.cpf_cnpj, a.nome, b.id_evento_cliente_cheque
							from cliente_cheque a, evento_cliente_cheque b
							where a.id_cliente_cheque = b.id_cliente_cheque
							and b.id_evento = $id_evento
							and b.id_empresa = $this->id_empresa";

		$this->execulta();
	}


	public function ChequeDuplicidade($cpf_cnpj)
	{
		$this->sql = "select id_cliente_cheque, cpf_cnpj, nome from cliente_cheque
					   where cpf_cnpj = '$cpf_cnpj'
					   and id_empresa = $this->id_empresa";
		$this->execulta();

		$values = 'true';
		while ($row = mysqli_fetch_object($this->qry)) {
			echo '<br/><h2>
				<button class="button red medium" id="btnAddEventoClienteCheque" id_cliente_cheque="' . $row->id_cliente_cheque . '">' . $row->nome . '</button></h2>';
			$values = 'false';
		}
		echo '<input name="EdtCPFDuplicidade" id="EdtCPFDuplicidade" type="hidden" value="' . $values . '" />';
	}


	public function ChequeInsert($cpf_cnpj, $nome, $id_evento)
	{
		$nome = addslashes($nome);
		$cpf_cnpj = addslashes($cpf_cnpj);
		$this->sql = "insert into cliente_cheque
					 (cpf_cnpj, nome, id_empresa)
					 values
					 ('$cpf_cnpj', '$nome', '$this->id_empresa')";
		$this->execulta();

		$id_cliente_cheque = mysqli_insert_id();

		$this->EventoChequeInsert($id_evento, $id_cliente_cheque);
	}


	public function EventoChequeInsert($id_evento, $id_cliente_cheque)
	{
		$this->sql = "insert into evento_cliente_cheque
						 (id_evento, id_empresa, id_cliente_cheque)
						 values
						 ($id_evento, $this->id_empresa, $id_cliente_cheque)";
		$this->execulta();
	}


	public function ChequeUpdate($id_cliente_cheque, $nome)
	{
		$id_cliente_cheque = addslashes($id_cliente_cheque);
		$nome = addslashes($nome);
		$this->sql = "update cliente_cheque
					  set nome = '$nome'
					  where id_cliente_cheque = $id_cliente_cheque
					  and id_empresa = $this->id_empresa";

		$this->execulta();
	}


	public function EventoChequeRemove($id_evento_cliente_cheque, $id_evento)
	{
		$this->sql = "select id_evento_pagamento from evento_cheque
					  where id_cliente_cheque = $id_evento_cliente_cheque
					  and id_evento = $id_evento";
		$this->execulta();
		$row = mysqli_fetch_row($this->qry);
		echo '-' . $row[0] . '-';
		if ($row[0] == '') {
			$this->sql = "delete from evento_cliente_cheque
							   where id_cliente_cheque = $id_evento_cliente_cheque
							   and id_evento = $id_evento
							   and id_empresa = $this->id_empresa";
			$this->execulta();
		} else {
			echo "1";
		}
	}
}
